Package org.apache.sysds.runtime.io

# Class WriterTextCSVParallel

java.lang.Object
org.apache.sysds.runtime.io.MatrixWriter
org.apache.sysds.runtime.io.WriterTextCSV
org.apache.sysds.runtime.io.WriterTextCSVParallel

public class WriterTextCSVParallel extends WriterTextCSV

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.io.WriterTextCSV

`BLOCKSIZE_J`

## Constructor Summary

Constructors
Constructor
Description
`WriterTextCSVParallel(FileFormatPropertiesCSV props)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.WriterTextCSV

`addHeaderToCSV, writeEmptyMatrixToHDFS, writeMatrixFromStream, writeMatrixToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

`createMatrixBlocksForReuse, getMatrixBlockForReuse, setForcedParallel, writeMatrixToHDFS`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriterTextCSVParallel

public WriterTextCSVParallel(FileFormatPropertiesCSV props)